> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/picklisten.md).

# Picklisten

Streamline warehouse picking in VARIO Cloud with the Picklists API to create, process, print, cancel, and manage picking workflows.

Picklists.

## PUT /wms/picklists/{id}/print

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Picklisten","description":"Picklists."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/picklists/{id}/print":{"put":{"tags":["Picklisten"],"operationId":"printPicklist","parameters":[{"name":"id","in":"path","description":"Picklist identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-output-OutputRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/octet-stream":{"schema":{"type":"object"}},"application/json":{"schema":{"type":"object"}}}}}}}},"components":{"schemas":{"common-output-OutputRequest":{"properties":{"exportFormat":{"type":"string","description":"Output format for the mail or file export.","enum":["PDF","XLSX","JSON_RAW","REPORT_TEMPLATE"]},"exportFilename":{"type":"string","description":"File name (without extension) for a file export."},"mailRecipients":{"type":"array","description":"Recipient.","items":{"$ref":"#/components/schemas/common-output-OutputRecipient.MailRecipient"}},"outputType":{"type":"string","description":"outputType"},"groupIdentifier":{"type":"string","description":"OutputReportGroup identifier (optional), otherwise the module default group."},"published":{"type":"boolean","default":false,"description":"Should only documents that are already published be considered?"},"directPrintEnabled":{"type":"boolean","default":true,"description":"Return output directly to the client."}}},"common-output-OutputRecipient.MailRecipient":{"description":"Recipient.","properties":{"type":{"type":"string","description":"(mail) recipient type","enum":["TO","CC","BCC"]},"address":{"type":"string","description":"(mail) recipient address"},"name":{"type":"string","description":"(mail) recipient name"}}}}}}
```

## PUT /wms/picklists/cancel

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Picklisten","description":"Picklists."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/picklists/cancel":{"put":{"tags":["Picklisten"],"operationId":"cancelPicklistsIndirect","requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"Identifier of the picklist to cancel.","items":{"type":"integer","format":"int64"}}}},"required":true},"responses":{"200":{"description":"OK"}}}}}}
```

## POST /wms/picklists/{picklistId}/add-parcel-to-shipment/{shipmentId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Picklisten","description":"Picklists."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/picklists/{picklistId}/add-parcel-to-shipment/{shipmentId}":{"post":{"tags":["Picklisten"],"operationId":"addParcelToShipment","parameters":[{"name":"picklistId","in":"path","description":"Identifier of a picklist a parcel is created for.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"shipmentId","in":"path","description":"Identifier of a shipment belonging to a document in a picklist.","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-PicklistParcel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-spi-VdsParcel"}}}}}}}},"components":{"schemas":{"erp-wms-PicklistParcel":{"description":"Picklist parcel.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"weight":{"type":"number","description":"Weight."},"weightUnitTypeRef":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"length":{"type":"number","description":"Length."},"width":{"type":"number","description":"Width."},"height":{"type":"number","description":"Height."},"sizeUnitTypeRef":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"}},"required":["weight","weightUnitTypeRef"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"erp-spi-VdsParcel":{"properties":{"id":{"type":"integer","format":"int64"},"width":{"type":"number"},"height":{"type":"number"},"length":{"type":"number"},"dimensionUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"weight":{"type":"number"},"weightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"trackingNumber":{"type":"string"},"lines":{"type":"array","items":{"$ref":"#/components/schemas/erp-spi-VdsParcelLine"}},"packageParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"shipmentId":{"type":"integer","format":"int64"},"parcelState":{"type":"string","enum":["OPEN","REQUESTED","COMPLETED","ERROR","MANUAL","CANCELLED"]},"carrierResponse":{"type":"string"},"validationErrors":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"erp-spi-VdsParcelLine":{"properties":{"parcelId":{"type":"integer","format":"int64"},"number":{"type":"string"},"description":{"type":"string"},"amount":{"type":"number"},"grossWeight":{"type":"number"},"grossWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"netWeight":{"type":"number"},"netWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"grossPrice":{"type":"number"},"netPrice":{"type":"number"},"internationalParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"dangerousGoodsParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## POST /wms/picklists/reorg

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Picklisten","description":"Picklists."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/picklists/reorg":{"post":{"tags":["Picklisten"],"operationId":"reorgPicklistsAndTrolleys","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /wms/picklists/process-input

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Picklisten","description":"Picklists."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/picklists/process-input":{"post":{"tags":["Picklisten"],"operationId":"processInput_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-PicklistProcessingRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-PicklistProcessingResponse"}}}}}}}},"components":{"schemas":{"erp-wms-PicklistProcessingRequest":{"properties":{"inputData":{"type":"string","description":"User input or scan."},"processingType":{"type":"string","description":"Picklist processing type.","enum":["PICKING","PACKING"]},"processingAction":{"type":"string","default":"NONE","description":"Special action during the processing of picklists.","enum":["NONE","COMMIT","CANCEL","RESET_TO_READY_FOR_PACKING","PAUSE","CHANGE_DELIVERY_METHOD_AND_TERM","PROCESS_SERIAL_NUMBER_LIST","CREATE_PICKLIST_FOR_MISSING_GOODS_PICKING","PARCEL_WEIGHED","PARCELS_WEIGHED_FOR_DELIVERY","SHIPPING_DETAILS_PROVIDED_AND_PARCEL_WEIGHED","SHIPPING_DETAILS_PROVIDED","SHIPPING_DETAILS_PROVIDED_FOR_DELIVERY","SHIPPING_DETAILS_PROVIDED_AND_PARCEL_WEIGHED_FOR_DELIVERY","PRINT_ARTICLE_LABELS","SKIP_POSITION","CLOSE_POSITION"]},"picklistId":{"type":"integer","format":"int64","description":"Current picklist identifier."},"pickTrolleyId":{"type":"integer","format":"int64","description":"Current pick trolley identifier."},"pickTrolleyBoxId":{"type":"integer","format":"int64","description":"Current pick box identifier."},"lastProcessedPicklistLineId":{"type":"integer","format":"int64","description":"Last processed line identifier."},"lastProcessedPicklistLineComponentId":{"type":"integer","format":"int64","description":"Last processed component identifier."},"lastProcessedOrderId":{"type":"integer","format":"int64","description":"Last processed order identifier."},"articleId":{"type":"integer","format":"int64","description":"Current article identifier."},"serialNumberId":{"type":"integer","format":"int64","description":"Current serial number identifier."},"storageBinId":{"type":"integer","format":"int64","description":"Current storage bin identifier."},"deviatingDeliveryTermId":{"type":"integer","format":"int64","description":"Changed delivery term identifier."},"deviatingDeliveryMethodId":{"type":"integer","format":"int64","description":"Changed delivery method identifier."},"manualQuantityChange":{"type":"number","description":"Manual quantity change."},"serialNumberIdsToProcess":{"type":"array","description":"Identifiers of article serial numbers to process.","items":{"type":"integer","format":"int64","description":"Identifiers of article serial numbers to process."}},"weighedParcels":{"type":"array","description":"Parcels whose weight was determined.","items":{"$ref":"#/components/schemas/erp-wms-PicklistParcel"}},"absoluteManualQuantityChange":{"type":"boolean"}},"required":["processingType"]},"erp-wms-PicklistParcel":{"description":"Picklist parcel.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"weight":{"type":"number","description":"Weight."},"weightUnitTypeRef":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"length":{"type":"number","description":"Length."},"width":{"type":"number","description":"Width."},"height":{"type":"number","description":"Height."},"sizeUnitTypeRef":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"}},"required":["weight","weightUnitTypeRef"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"erp-wms-PicklistProcessingResponse":{"properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"processingState":{"type":"string","description":"Picklist processing status.","enum":["PICKING_FINISHED","PACKING_FINISHED","DELIVERY_DOCUMENT_CREATED","PICKLIST_PAUSED","PICKLIST_CANCELLED","PICKLIST_CHOSEN","PICK_TROLLEY_CHOSEN","PICK_TROLLEY_BOX_CHOSEN","PICK_TROLLEY_BOX_CANCELLED","STORAGE_BIN_CHOSEN","ARTICLE_CHOSEN","CHANGED_DELIVERY_METHOD","CHANGED_DELIVERY_METHOD_DELIVERY_TERM","SERIAL_NUMBER_CHOSEN","SERIAL_NUMBER_LIST_PROCESSED","SERIAL_NUMBER_AMBIGUOUS","MISSING_SERIAL_NUMBER","ABSOLUTE_QUANTITY_MANUAL_CHANGED","RELATIVE_QUANTITY_MANUAL_CHANGED","PARCEL_NEEDS_TO_BE_WEIGHED","SHIPPING_DETAILS_REQUIRED","SHIPPING_DETAILS_AND_PARCEL_WEIGHT_REQUIRED","PARCELS_FOR_DELIVERY_NEED_TO_BE_WEIGHED","SHIPPING_DETAILS_REQUIRED_FOR_DELIVERY","SHIPPING_DETAILS_AND_PARCEL_WEIGHT_REQUIRED_FOR_DELIVERY","SHIPPING_LABEL_PRINTED","SCAN_DELIVERY_DOCUMENT_OR_SHIPPING_LABEL","SCAN_DELIVERY_DOCUMENT","SCAN_SHIPPING_LABEL","PICKLIST_FOR_MISSING_GOODS_PICKING_CREATED","SCAN_PICK_TROLLEY_BOX_FOR_CONFIRMATION","PICK_TROLLEY_BOX_SCANNED_FOR_CONFIRMATION"]},"picklist":{"$ref":"#/components/schemas/erp-wms-ProcessedPicklist"},"pickTrolleyId":{"type":"integer","format":"int64","description":"Current pick trolley identifier."},"pickTrolleyBoxId":{"type":"integer","format":"int64","description":"Current pick box identifier."},"lastProcessedPicklistLineId":{"type":"integer","format":"int64","description":"Last processed line identifier."},"lastProcessedPicklistLineComponentId":{"type":"integer","format":"int64","description":"Last processed component identifier."},"lastProcessedOrderId":{"type":"integer","format":"int64","description":"Last processed order identifier."},"createdDeliveryIds":{"type":"array","description":"Created delivery document identifiers.","items":{"type":"integer","format":"int64","description":"Created delivery document identifiers."}},"erroneousOutputs":{"type":"array","description":"Failed print jobs.","items":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"}},"articleId":{"type":"integer","format":"int64","description":"Current article identifier."},"articleNumber":{"type":"string","description":"Current article number."},"serialNumber":{"$ref":"#/components/schemas/erp-product-ArticleSerialNumber"},"ambiguousSerialNumbers":{"type":"array","description":"List of ambiguous serial numbers. The user must make a unique selection.","items":{"$ref":"#/components/schemas/erp-product-ArticleSerialNumber"}},"storageBinRef":{"$ref":"#/components/schemas/erp-stock-StorageBinRef"},"deliveryMethod":{"$ref":"#/components/schemas/erp-delivery-DeliveryMethod"},"deliveryTerm":{"$ref":"#/components/schemas/erp-delivery-DeliveryTerm"},"picklistCancellationResult":{"$ref":"#/components/schemas/erp-wms-PicklistCancellationResult"},"shipmentId":{"type":"integer","format":"int64","description":"Shipment identifier for the shipping dialog when processingState has one of these values:\n- {@link EPicklistProcessingState#SHIPPING_DETAILS_REQUIRED}\n- {@link EPicklistProcessingState#SHIPPING_DETAILS_AND_PARCEL_WEIGHT_REQUIRED}\n- {@link EPicklistProcessingState#SHIPPING_DETAILS_REQUIRED_FOR_DELIVERY}\n- {@link EPicklistProcessingState#SHIPPING_DETAILS_AND_PARCEL_WEIGHT_REQUIRED_FOR_DELIVERY}\n"},"parcelId":{"type":"integer","format":"int64","description":"Current parcel identifier when the weight is required and/or the shipping dialog is to be shown."},"parcelCarrierResponse":{"type":"string","description":"Message from the shipper when a problem occurred while printing the shipping label."},"pickTrolleyRequired":{"type":"boolean","default":false,"description":"Is a pick trolley required for the processing?"},"currentParcelCount":{"type":"integer","format":"int32","description":"Number of parcels currently created for the order."},"estimatedParcelCount":{"type":"integer","format":"int32","description":"Number of parcels expected for the order."},"unpackagedWeight":{"type":"number","description":"Currently recorded weight not yet booked into a parcel (unpacked weight)."},"unpackagedWeightUnitTypeRef":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"}}},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"erp-wms-ProcessedPicklist":{"description":"Processed picklist.","properties":{"id":{"type":"integer","format":"int64","description":"Picklist identifier."},"number":{"type":"string","description":"Picklist number."},"lines":{"type":"array","description":"Picklist lines.","items":{"$ref":"#/components/schemas/erp-wms-ProcessedPicklistLine"}},"usedTemplate":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate"},"processedByUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["id","lines","number"]},"erp-wms-ProcessedPicklistLine":{"description":"Processed picklist line.","properties":{"id":{"type":"integer","format":"int64","description":"Line identifier."},"componentId":{"type":"integer","format":"int64","description":"Line identifier of the component shown here."},"position":{"type":"integer","format":"int32","description":"Line number in the current view of this line list."},"lineType":{"type":"string","description":"Kinds of picklist lines.","enum":["ARTICLE","ASSEMBLY_GROUP"]},"articleRef":{"$ref":"#/components/schemas/erp-product-ProductArticleRef"},"assemblyGroupArticleNumber":{"type":"string","description":"Assembly article number, if this line represents an assembly component."},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"storageLocation":{"type":"string","description":"Storage location when no storage bins are present."},"lineStorageInfo":{"type":"string","description":"Article picking remark."},"pickTrolleyBoxId":{"type":"integer","format":"int64","description":"PickTrolleyBox to use."},"pickTrolleyBoxLabel":{"type":"string","description":"Label of the PickTrolleyBox to use."},"showPickTrolleyBox":{"type":"boolean","default":false,"description":"Show the pick box of the picklist lines in the UI."},"quantity":{"type":"number","description":"Required line quantity."},"quantityCommitted":{"type":"number","description":"Processed line quantity."},"storageBinRef":{"$ref":"#/components/schemas/erp-stock-StorageBinRef"},"serialNumber":{"$ref":"#/components/schemas/erp-product-ArticleSerialNumber"}}},"erp-product-ProductArticleRef":{"description":"All articles belonging to this product.","properties":{"id":{"type":"integer","format":"int64","description":"Article identifier."},"number":{"type":"string","description":"Article number"},"name":{"type":"string","description":"Label."},"description":{"type":"string","description":"Description."},"serialType":{"type":"string","description":"Article serial type.","enum":["NONE","SERIAL_NUMBER","LOT","BEST_BEFORE","DOUBLE_SERIAL_NUMBER"]},"unit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"}},"required":["unit"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-stock-StorageBinRef":{"description":"Storage bin.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"displayName":{"type":"string","description":"Display name."},"routePosition":{"type":"integer","format":"int32","description":"Route position."},"color":{"type":"string","description":"Display color."},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-product-ArticleSerialNumber":{"description":"Serial number.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber1":{"type":"string","description":"Serial number 1.","maxLength":255,"minLength":0},"serialNumber2":{"type":"string","description":"Serial number 2.","maxLength":255,"minLength":0},"expiryDate":{"type":"string","format":"date","description":"Expiry date."},"ignoreExpiryDateOnStockBooking":{"type":"boolean","description":"Ignore expiry date on stock booking","readOnly":true},"note":{"type":"string","description":"Note."},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"udi":{"type":"string","description":"Unique Device Identifier (UDI)"}},"required":["articleRef","serialNumber1"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"erp-wms-PicklistTemplate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"picklistCreationOptions":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.PicklistCreationOptions"},"orderSelectionOptions":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.OrderSelectionOptions"},"picklistProcessingOptions":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.PicklistProcessingOptions"},"label":{"type":"string","description":"Template name.","minLength":1},"description":{"type":"string","description":"Template description."},"pickingType":{"type":"string","description":"Picking type.","enum":["FAST_ORDER_PICKING","SINGLE_ORDER_PICKING","COLLECTIVE_ORDER_PICKING","ROLLING_ORDER_PICKING","CONSOLIDATION","REPLENISHMENT","FABRICATION","MISSING_GOODS_PICKING","INCORRECTLY_PICKED_GOODS"]},"defaultTemplate":{"type":"boolean","default":false,"description":"Is this a default template?"},"active":{"type":"boolean","default":true,"description":"Is Template active?","readOnly":true},"picklistScripts":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.PicklistScript"},"description":"Scripts for creating and processing picklists."}},"required":["label","pickingType"]},"erp-wms-PicklistTemplate.PicklistCreationOptions":{"description":"Options for creating picklists.","properties":{"sortByRoutePosition":{"type":"boolean","default":true,"description":"Sort the picklist lines by route position."},"maxPicklistLineCount":{"type":"integer","format":"int64","description":"Maximum number of picklist lines."},"maxQuantityOfOrderLineForFastOrderPicking":{"type":"integer","format":"int64","default":1,"description":"Maximum order line quantity for quick-picking picklists."},"orderPickingTrolleyRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"orderPickingTrolleyGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"useAllAvailOrderPickingTrolleys":{"type":"boolean","default":false,"description":"Should all available pick trolleys be used?"},"cycleToCreatePicklistsCronExpression":{"type":"string","description":"Cycle for creating picklists (for background jobs, as a Quartz cron expression) (https://www.freeformatter.com/cron-expression-generator-quartz.html)."},"specifyStorageBins":{"type":"boolean","default":true,"description":"Predefine the storage bins."},"specifySerialWithOldestExpiryDate":{"type":"boolean","default":false,"description":"For serial articles with an expiry or best-before date: predefine the oldest series in the picklist."},"firstCreateFastOrderPickingPicklists":{"type":"boolean","default":false,"description":"Should picklists for the quick picking be created first?"},"fastOrderPickingTemplateToUseRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"printPicklist":{"type":"boolean","default":false,"description":"Should the picklist be printed?"},"picklistOutputReportGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"printLabelsOnCreation":{"type":"boolean","default":false,"description":"Should the labels be printed automatically after the creation?"}}},"erp-wms-PicklistTemplate.OrderSelectionOptions":{"description":"Options for selecting orders.","properties":{"maxOrderCount":{"type":"integer","format":"int64","description":"Only for single picking and consolidation: maximum number of orders to transfer."},"alternativeSelectionInVql":{"type":"string","description":"Alternative selection in VQL."},"additionalExistsStatementsInVql":{"type":"array","description":"Additional exists statements in VQL.","items":{"type":"string","description":"Additional exists statements in VQL."}},"deliveryMethodRefs":{"type":"array","description":"Valid delivery methods.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"allowOnlyDefinedDeliveryMethods":{"type":"boolean","description":"May only valid delivery methods be used?"},"documentTypeRefs":{"type":"array","description":"Document types of the document category \"customer order\".","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"documentDateRange":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.DateRange"},"deliveryDateRange":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.DateRange"},"confirmedDeliveryDateRange":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.DateRange"},"onlyFullDeliverableOrders":{"type":"boolean","default":false,"description":"Only fully deliverable orders."},"onlyFullDeliverableOrderLines":{"type":"boolean","default":false,"description":"Only fully deliverable lines."},"storageAreaRefs":{"type":"array","description":"Valid storage areas.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"salesChannelId":{"type":"integer","format":"int64","description":"Identifier of the salesChannel considered in the selection."},"minArticleCountPerOrder":{"type":"integer","format":"int32","description":"Minimum number of articles per order."},"maxArticleCountPerOrder":{"type":"integer","format":"int32","description":"Maximum number of articles per order."},"maxShippingWeightPerOrder":{"type":"number","description":"Maximum shipping weight per order."},"maxTotalVolumePerOrderInCCM":{"type":"number","description":"Maximum total volume per order (in cubic centimeters)."},"maxOrderValue":{"type":"number","description":"Maximum order value."}}},"erp-wms-PicklistTemplate.DateRange":{"description":"Selection by a date range.","properties":{"from":{"type":"string","description":"Date from (optionally as a relative date)."},"to":{"type":"string","description":"Date to (optionally as a relative date)."},"allowEmpty":{"type":"boolean","default":true,"description":"The date range may be empty."}}},"erp-wms-PicklistTemplate.PicklistProcessingOptions":{"description":"Options for processing picklists.","properties":{"autoPrintDeliveryDocument":{"type":"boolean","default":false,"description":"Should the delivery documents be printed automatically after the picking is completed?"},"autoPrintShippingLabel":{"type":"boolean","default":false,"description":"Should the parcel labels be printed automatically after the picking is completed?"},"alwaysRequireScanOfStorageBin":{"type":"boolean","default":false,"description":"Storage bins must be recorded despite a predefined value."},"articleScanRequirement":{"type":"string","default":"FREE","description":"Recording condition for articles.","enum":["FREE","SCAN_ONCE","SCAN_ALWAYS"]},"autoDeterminationOfLots":{"type":"boolean","default":false,"description":"Confirm lots automatically when they are predefined or were already recorded during picking."},"hideTargetQuantityInViews":{"type":"boolean","default":false,"description":"Hide the target quantities in the dialogs?"},"allowPickingOfServiceArticles":{"type":"boolean","default":false,"description":"Should services be picked?"},"allowPickingOfNonInventoryManagedArticles":{"type":"boolean","default":false,"description":"Should articles without stock management be picked?"},"allowFullConfirmation":{"type":"boolean","default":false,"description":"Allow collective confirmation."},"deviatingQuantity":{"type":"string","description":"Picking of deviating quantities.","enum":["ALLOW_ONLY_ORDERED_QUANTITY","ALLOW_MINOR_QUANTITY","ALLOW_OVER_DELIVERY","ALLOW_DEVIATING_QUANTITY"]},"assemblyGroupAtOnce":{"type":"boolean","default":false,"description":"Pick assemblies as a whole."},"alwaysShowDeliveryMethod":{"type":"boolean","default":true,"description":"Always show the delivery term in the dialogs."},"showShippingFormOnPickingFinish":{"type":"boolean","default":false,"description":"Show the shipping dialog on completion."},"autoPickingFinishAfterLastArticleInOrder":{"type":"boolean","default":false,"description":"Automatic completion after the last article of the current order."},"useDigitalPicklist":{"type":"boolean","default":false,"description":"Use the digital picklist: only the lines are shown in the frontend and confirmed by tapping or swiping."},"usePickNPack":{"type":"boolean","default":false,"description":"Use pick and pack."},"scanDeliveryDocumentAndShippingLabelOnFinish":{"type":"boolean","default":false,"description":"Only for consolidation: scan the delivery document and the shipping label to complete."},"scanPickTrolleyBoxToConfirmPickedArticle":{"type":"boolean","default":false,"description":"Rolling picking and consolidation: during picking the box has to be confirmed by scanning after an article is scanned."},"blockIfMaximumPackageWeightIsExceeded":{"type":"boolean","default":true,"description":"Block exceeding the maximum parcel weight?"},"useSalesUnit":{"type":"boolean","default":false,"description":"Use the sales unit as the default quantity."},"printLabelOnScan":{"type":"boolean","default":false,"description":"Should the labels be printed automatically during the recording?"},"printLabelOnCompleteOrder":{"type":"boolean","default":false,"description":"Should the labels be printed automatically when the order is completed?"},"printLabelAfterPicking":{"type":"boolean","default":false,"description":"Should the labels be printed automatically when the picking is completed?"},"allowSkipPosition":{"type":"boolean","default":false,"description":"Is skipping lines allowed?"}}},"erp-wms-PicklistTemplate.PicklistScript":{"description":"Picklist script.","properties":{"source":{"type":"string","description":"Script source code."},"active":{"type":"boolean","default":false,"description":"Is the script active?"}}},"erp-delivery-DeliveryMethod":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"label for this delivery method","minLength":1},"description":{"type":"string","description":"description","minLength":1},"printDescription":{"type":"string","description":"printDescription"},"deliveryTime":{"type":"integer","format":"int32","description":"Shipping duration in days."},"vdsCarrierId":{"type":"integer","format":"int64","description":"Shipping provider."},"defaultWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"defaultSizeUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"splitIntoNewDocument":{"type":"boolean","default":false,"description":"Should a line with this delivery method be transferred into a delivery document with this method?"},"active":{"type":"boolean","default":true,"description":"Is this active?","readOnly":true},"minWeightPerParcel":{"type":"number","description":"Minimum weight per parcel."},"identifier":{"type":"string","description":"Barcode."},"maxWeightPerParcel":{"type":"number","description":"Maximum weight per parcel."},"parcelWeightSource":{"type":"string","default":"AUTOMATIC_VIA_DOCUMENT_LINE","description":"Where the parcel weight is taken from.","enum":["AUTOMATIC_VIA_DOCUMENT_LINE","MANUAL_RECORDING"]},"forwardEmailToShipper":{"type":"boolean","default":false,"description":"Pass the email to the shipper."},"forwardPhoneToShipper":{"type":"boolean","default":false,"description":"Pass the phone number to the shipper."},"validCountryCodes":{"type":"array","description":"Valid country codes.","items":{"type":"string","description":"Valid country codes."}},"translations":{"type":"array","description":"translations","items":{"$ref":"#/components/schemas/erp-document-DocumentTypeTerm"}}},"required":["description","label","parcelWeightSource"]},"erp-document-DocumentTypeTerm":{"description":"translations","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"documentType":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"content":{"type":"string","description":"content","minLength":1},"languageCode":{"type":"string","description":"Language.","minLength":1}},"required":["content","languageCode"]},"erp-delivery-DeliveryTerm":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"label for this delivery term","minLength":1},"description":{"type":"string","description":"description","minLength":1},"printDescription":{"type":"string","description":"printDescription"},"deliveryMethodRefs":{"type":"array","description":"Delivery methods.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"languageCode":{"type":"string","description":"Account language."},"freeShippingGrossValue":{"type":"number","description":"free shipping gross value"},"freeShippingNetValue":{"type":"number","description":"free shipping net value"},"codNetFee":{"type":"number","description":"cod net fee to charge on document"},"codGrossFee":{"type":"number","description":"cod gross fee to charge on document"},"freightChargesPerParcel":{"type":"boolean","default":false,"description":"calculate shipping charges per parcel"},"calculateFreightChargesWithType":{"type":"string","description":"information, when the shipping charges should be calculated","enum":["EVERY_SHIPPING","FIRST_SHIPPING"]},"calculateFreightChargesFromType":{"type":"string","description":"information, how the shipping charges should be calculated","enum":["CHARGES_FROM_ORDER","RECALCULATE"]},"shippingCostArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is this active?"},"translations":{"type":"array","description":"translations","items":{"$ref":"#/components/schemas/erp-document-DocumentTypeTerm"}}},"required":["calculateFreightChargesFromType","calculateFreightChargesWithType","description","label","shippingCostArticleRef"]},"erp-wms-PicklistCancellationResult":{"description":"Result of cancelling a picklist.","properties":{"cancelledPicklistRefs":{"type":"array","description":"Cancelled picklist identifiers.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"pickTrolleyWithPickedGoodsRefs":{"type":"array","description":"Pick trolleys that still contain goods.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"freedOrders":{"type":"array","description":"Released orders.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}}}}}}
```

## POST /wms/picklists/process-input-for-incorrectly-picked-goods

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Picklisten","description":"Picklists."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/picklists/process-input-for-incorrectly-picked-goods":{"post":{"tags":["Picklisten"],"operationId":"processInputForIncorrectlyPickedGoods","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-PicklistForIncorrectlyPickedGoodsProcessingRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-PicklistForIncorrectlyPickedGoodsProcessingResponse"}}}}}}}},"components":{"schemas":{"erp-wms-PicklistForIncorrectlyPickedGoodsProcessingRequest":{"description":"Request for the input processing of picklists with incorrectly picked articles.","properties":{"inputData":{"type":"string","description":"User input or scan."},"processingAction":{"type":"string","description":"Actions when processing picklists with incorrectly picked articles.","enum":["NONE","CREATE_NEW","FINISH"]},"picklistId":{"type":"integer","format":"int64","description":"Identifier of the picklist to process."},"targetStorageId":{"type":"integer","format":"int64","description":"Target storage identifier for putting the goods away."},"articleId":{"type":"integer","format":"int64","description":"Identifier of the article to process."},"serialNumberId":{"type":"integer","format":"int64","description":"Identifier of the serial number to process."},"manualQuantityChange":{"type":"number","description":"Manual quantity change."},"absoluteManualQuantityChange":{"type":"boolean"}}},"erp-wms-PicklistForIncorrectlyPickedGoodsProcessingResponse":{"description":"Input processing response of picklists with incorrectly picked articles.","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"processingState":{"type":"string","description":"Processing status of a picklist with incorrectly picked articles.","enum":["CREATED","PICKLIST_CHOSEN","ARTICLE_CHOSEN","SERIAL_NUMBER_CHOSEN","ABSOLUTE_QUANTITY_MANUAL_CHANGED","RELATIVE_QUANTITY_MANUAL_CHANGED","FINISHED"]},"picklist":{"$ref":"#/components/schemas/erp-wms-Picklist"},"targetStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumberRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"ambiguousSerialNumbers":{"type":"array","description":"Possible serial numbers for article","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}}},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"erp-wms-Picklist":{"description":"Picklist.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"Picklist number."},"state":{"type":"string","description":"Picklist status.","enum":["IN_CREATION","CREATED","PAUSED_IN_PICKING","IN_PICKING","PICKED","PAUSED_IN_PACKING","IN_PACKING","CANCELLED","FINISHED"]},"pickingUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"pickingStartedAt":{"type":"string","format":"date-time","description":"Time the picking process was started."},"pickingFinishedAt":{"type":"string","format":"date-time","description":"Time the picking process was finished."},"lines":{"type":"array","description":"Picklist lines.","items":{"$ref":"#/components/schemas/erp-wms-PicklistLine"}},"usedTemplate":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate"},"targetStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["lines","number","state"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-wms-PicklistLine":{"description":"Picklist lines.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"state":{"type":"string","description":"Picklist line status.","enum":["IN_CREATION","CREATED","NEWLY_ADDED","PICKED","NEWLY_ADDED_AND_PICKED","WAITING_FOR_SHIPPING_DOCUMENTS","CANCELLED","FINISHED"]},"lineType":{"type":"string","description":"Kinds of picklist lines.","enum":["ARTICLE","ASSEMBLY_GROUP"]},"sourceDocumentId":{"type":"integer","format":"int64","description":"Source document identifier."},"sourceDocumentLineId":{"type":"integer","format":"int64","description":"Source document line identifier."},"articleRef":{"$ref":"#/components/schemas/erp-product-ProductArticleRef"},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"quantity":{"type":"number","description":"Line quantity."},"quantityCollected":{"type":"number","description":"Picked line quantity."},"quantityPacked":{"type":"number","description":"Packed line quantity."},"targetDocumentId":{"type":"integer","format":"int64","description":"Target document identifier."},"targetDocumentLineId":{"type":"integer","format":"int64","description":"Target document line identifier."},"pickTrolleyBoxRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"bookings":{"type":"array","description":"Bookings for this line.","items":{"$ref":"#/components/schemas/erp-wms-PicklistLineBooking"}},"components":{"type":"array","description":"Line components, if this line is an assembly.","items":{"$ref":"#/components/schemas/erp-wms-PicklistLineComponent"}}},"required":["articleRef","lineType","quantity","sourceDocumentId","sourceDocumentLineId","state","storageRef"]},"erp-product-ProductArticleRef":{"description":"All articles belonging to this product.","properties":{"id":{"type":"integer","format":"int64","description":"Article identifier."},"number":{"type":"string","description":"Article number"},"name":{"type":"string","description":"Label."},"description":{"type":"string","description":"Description."},"serialType":{"type":"string","description":"Article serial type.","enum":["NONE","SERIAL_NUMBER","LOT","BEST_BEFORE","DOUBLE_SERIAL_NUMBER"]},"unit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"}},"required":["unit"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"erp-wms-PicklistLineBooking":{"description":"Bookings for picklist lines.","properties":{"preset":{"type":"boolean","description":"Booking preset?"},"quantity":{"type":"number","description":"Quantity to book (picked)."},"quantityPacked":{"type":"number","description":"Quantity to book (packed)."},"storageBinId":{"type":"integer","format":"int64","description":"Identifier of the storage bin booked to."},"storageBinDisplayName":{"type":"string","description":"Storage bin display name.","readOnly":true},"serialNumber":{"$ref":"#/components/schemas/erp-product-ArticleSerialNumber"}},"required":["preset","quantity","quantityPacked","storageBinId"]},"erp-product-ArticleSerialNumber":{"description":"Serial number.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber1":{"type":"string","description":"Serial number 1.","maxLength":255,"minLength":0},"serialNumber2":{"type":"string","description":"Serial number 2.","maxLength":255,"minLength":0},"expiryDate":{"type":"string","format":"date","description":"Expiry date."},"ignoreExpiryDateOnStockBooking":{"type":"boolean","description":"Ignore expiry date on stock booking","readOnly":true},"note":{"type":"string","description":"Note."},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"udi":{"type":"string","description":"Unique Device Identifier (UDI)"}},"required":["articleRef","serialNumber1"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"erp-wms-PicklistLineComponent":{"description":"Picklist line components.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"picklistLineId":{"type":"integer","format":"int64","description":"Picklist line identifier."},"position":{"type":"integer","format":"int32","description":"Component position in the assembly."},"sourceDocumentLineComponentId":{"type":"integer","format":"int64","description":"Component identifier of the source document line."},"articleId":{"type":"integer","format":"int64","description":"Article identifier."},"articleNumber":{"type":"string","description":"Article number.","readOnly":true},"articleDescription":{"type":"string","description":"Article description.","readOnly":true},"articleName":{"type":"string","description":"Article name.","readOnly":true},"articleAlternativeName":{"type":"string","description":"Deviating article name.","readOnly":true},"quantity":{"type":"number","description":"Line quantity."},"quantityCollected":{"type":"number","description":"Picked line quantity."},"quantityPacked":{"type":"number","description":"Packed line quantity."},"quantityPerAssemblyGroup":{"type":"number","description":"Quantity per assembly (if the picklist line is an assembly)."},"targetDocumentLineComponentId":{"type":"integer","format":"int64","description":"Component identifier of the target document line."},"bookings":{"type":"array","description":"Bookings for this component.","items":{"$ref":"#/components/schemas/erp-wms-PicklistLineBooking"}}},"required":["articleId","picklistLineId","position","quantity","sourceDocumentLineComponentId"]},"erp-wms-PicklistTemplate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"picklistCreationOptions":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.PicklistCreationOptions"},"orderSelectionOptions":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.OrderSelectionOptions"},"picklistProcessingOptions":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.PicklistProcessingOptions"},"label":{"type":"string","description":"Template name.","minLength":1},"description":{"type":"string","description":"Template description."},"pickingType":{"type":"string","description":"Picking type.","enum":["FAST_ORDER_PICKING","SINGLE_ORDER_PICKING","COLLECTIVE_ORDER_PICKING","ROLLING_ORDER_PICKING","CONSOLIDATION","REPLENISHMENT","FABRICATION","MISSING_GOODS_PICKING","INCORRECTLY_PICKED_GOODS"]},"defaultTemplate":{"type":"boolean","default":false,"description":"Is this a default template?"},"active":{"type":"boolean","default":true,"description":"Is Template active?","readOnly":true},"picklistScripts":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.PicklistScript"},"description":"Scripts for creating and processing picklists."}},"required":["label","pickingType"]},"erp-wms-PicklistTemplate.PicklistCreationOptions":{"description":"Options for creating picklists.","properties":{"sortByRoutePosition":{"type":"boolean","default":true,"description":"Sort the picklist lines by route position."},"maxPicklistLineCount":{"type":"integer","format":"int64","description":"Maximum number of picklist lines."},"maxQuantityOfOrderLineForFastOrderPicking":{"type":"integer","format":"int64","default":1,"description":"Maximum order line quantity for quick-picking picklists."},"orderPickingTrolleyRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"orderPickingTrolleyGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"useAllAvailOrderPickingTrolleys":{"type":"boolean","default":false,"description":"Should all available pick trolleys be used?"},"cycleToCreatePicklistsCronExpression":{"type":"string","description":"Cycle for creating picklists (for background jobs, as a Quartz cron expression) (https://www.freeformatter.com/cron-expression-generator-quartz.html)."},"specifyStorageBins":{"type":"boolean","default":true,"description":"Predefine the storage bins."},"specifySerialWithOldestExpiryDate":{"type":"boolean","default":false,"description":"For serial articles with an expiry or best-before date: predefine the oldest series in the picklist."},"firstCreateFastOrderPickingPicklists":{"type":"boolean","default":false,"description":"Should picklists for the quick picking be created first?"},"fastOrderPickingTemplateToUseRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"printPicklist":{"type":"boolean","default":false,"description":"Should the picklist be printed?"},"picklistOutputReportGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"printLabelsOnCreation":{"type":"boolean","default":false,"description":"Should the labels be printed automatically after the creation?"}}},"erp-wms-PicklistTemplate.OrderSelectionOptions":{"description":"Options for selecting orders.","properties":{"maxOrderCount":{"type":"integer","format":"int64","description":"Only for single picking and consolidation: maximum number of orders to transfer."},"alternativeSelectionInVql":{"type":"string","description":"Alternative selection in VQL."},"additionalExistsStatementsInVql":{"type":"array","description":"Additional exists statements in VQL.","items":{"type":"string","description":"Additional exists statements in VQL."}},"deliveryMethodRefs":{"type":"array","description":"Valid delivery methods.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"allowOnlyDefinedDeliveryMethods":{"type":"boolean","description":"May only valid delivery methods be used?"},"documentTypeRefs":{"type":"array","description":"Document types of the document category \"customer order\".","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"documentDateRange":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.DateRange"},"deliveryDateRange":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.DateRange"},"confirmedDeliveryDateRange":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.DateRange"},"onlyFullDeliverableOrders":{"type":"boolean","default":false,"description":"Only fully deliverable orders."},"onlyFullDeliverableOrderLines":{"type":"boolean","default":false,"description":"Only fully deliverable lines."},"storageAreaRefs":{"type":"array","description":"Valid storage areas.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"salesChannelId":{"type":"integer","format":"int64","description":"Identifier of the salesChannel considered in the selection."},"minArticleCountPerOrder":{"type":"integer","format":"int32","description":"Minimum number of articles per order."},"maxArticleCountPerOrder":{"type":"integer","format":"int32","description":"Maximum number of articles per order."},"maxShippingWeightPerOrder":{"type":"number","description":"Maximum shipping weight per order."},"maxTotalVolumePerOrderInCCM":{"type":"number","description":"Maximum total volume per order (in cubic centimeters)."},"maxOrderValue":{"type":"number","description":"Maximum order value."}}},"erp-wms-PicklistTemplate.DateRange":{"description":"Selection by a date range.","properties":{"from":{"type":"string","description":"Date from (optionally as a relative date)."},"to":{"type":"string","description":"Date to (optionally as a relative date)."},"allowEmpty":{"type":"boolean","default":true,"description":"The date range may be empty."}}},"erp-wms-PicklistTemplate.PicklistProcessingOptions":{"description":"Options for processing picklists.","properties":{"autoPrintDeliveryDocument":{"type":"boolean","default":false,"description":"Should the delivery documents be printed automatically after the picking is completed?"},"autoPrintShippingLabel":{"type":"boolean","default":false,"description":"Should the parcel labels be printed automatically after the picking is completed?"},"alwaysRequireScanOfStorageBin":{"type":"boolean","default":false,"description":"Storage bins must be recorded despite a predefined value."},"articleScanRequirement":{"type":"string","default":"FREE","description":"Recording condition for articles.","enum":["FREE","SCAN_ONCE","SCAN_ALWAYS"]},"autoDeterminationOfLots":{"type":"boolean","default":false,"description":"Confirm lots automatically when they are predefined or were already recorded during picking."},"hideTargetQuantityInViews":{"type":"boolean","default":false,"description":"Hide the target quantities in the dialogs?"},"allowPickingOfServiceArticles":{"type":"boolean","default":false,"description":"Should services be picked?"},"allowPickingOfNonInventoryManagedArticles":{"type":"boolean","default":false,"description":"Should articles without stock management be picked?"},"allowFullConfirmation":{"type":"boolean","default":false,"description":"Allow collective confirmation."},"deviatingQuantity":{"type":"string","description":"Picking of deviating quantities.","enum":["ALLOW_ONLY_ORDERED_QUANTITY","ALLOW_MINOR_QUANTITY","ALLOW_OVER_DELIVERY","ALLOW_DEVIATING_QUANTITY"]},"assemblyGroupAtOnce":{"type":"boolean","default":false,"description":"Pick assemblies as a whole."},"alwaysShowDeliveryMethod":{"type":"boolean","default":true,"description":"Always show the delivery term in the dialogs."},"showShippingFormOnPickingFinish":{"type":"boolean","default":false,"description":"Show the shipping dialog on completion."},"autoPickingFinishAfterLastArticleInOrder":{"type":"boolean","default":false,"description":"Automatic completion after the last article of the current order."},"useDigitalPicklist":{"type":"boolean","default":false,"description":"Use the digital picklist: only the lines are shown in the frontend and confirmed by tapping or swiping."},"usePickNPack":{"type":"boolean","default":false,"description":"Use pick and pack."},"scanDeliveryDocumentAndShippingLabelOnFinish":{"type":"boolean","default":false,"description":"Only for consolidation: scan the delivery document and the shipping label to complete."},"scanPickTrolleyBoxToConfirmPickedArticle":{"type":"boolean","default":false,"description":"Rolling picking and consolidation: during picking the box has to be confirmed by scanning after an article is scanned."},"blockIfMaximumPackageWeightIsExceeded":{"type":"boolean","default":true,"description":"Block exceeding the maximum parcel weight?"},"useSalesUnit":{"type":"boolean","default":false,"description":"Use the sales unit as the default quantity."},"printLabelOnScan":{"type":"boolean","default":false,"description":"Should the labels be printed automatically during the recording?"},"printLabelOnCompleteOrder":{"type":"boolean","default":false,"description":"Should the labels be printed automatically when the order is completed?"},"printLabelAfterPicking":{"type":"boolean","default":false,"description":"Should the labels be printed automatically when the picking is completed?"},"allowSkipPosition":{"type":"boolean","default":false,"description":"Is skipping lines allowed?"}}},"erp-wms-PicklistTemplate.PicklistScript":{"description":"Picklist script.","properties":{"source":{"type":"string","description":"Script source code."},"active":{"type":"boolean","default":false,"description":"Is the script active?"}}}}}}
```

## POST /wms/picklists/picking-of-picklist/start-stop

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Picklisten","description":"Picklists."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/picklists/picking-of-picklist/start-stop":{"post":{"tags":["Picklisten"],"operationId":"startStopPickingOfPicklist","parameters":[{"name":"picklistNumber","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-PickingState"}}}}}}}},"components":{"schemas":{"erp-wms-PickingState":{"description":"Picking start or stop result.","properties":{"state":{"type":"string","description":"Picking process status.","enum":["NOT_STARTED","STARTED","FINISHED"]},"pickingUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"startedAt":{"type":"string","format":"date-time","description":"Packing process start."},"finishedAt":{"type":"string","format":"date-time","description":"Packing process end."}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```

## POST /wms/picklists/picking-of-picklist/reset

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Picklisten","description":"Picklists."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/picklists/picking-of-picklist/reset":{"post":{"tags":["Picklisten"],"operationId":"resetPickingOfPicklist","parameters":[{"name":"picklistNumber","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-PickingState"}}}}}}}},"components":{"schemas":{"erp-wms-PickingState":{"description":"Picking start or stop result.","properties":{"state":{"type":"string","description":"Picking process status.","enum":["NOT_STARTED","STARTED","FINISHED"]},"pickingUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"startedAt":{"type":"string","format":"date-time","description":"Packing process start."},"finishedAt":{"type":"string","format":"date-time","description":"Packing process end."}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```

## POST /wms/picklists/create

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Picklisten","description":"Picklists."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/picklists/create":{"post":{"tags":["Picklisten"],"operationId":"createPicklistsIndirect_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate"}}},"required":true},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"erp-wms-PicklistTemplate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"picklistCreationOptions":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.PicklistCreationOptions"},"orderSelectionOptions":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.OrderSelectionOptions"},"picklistProcessingOptions":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.PicklistProcessingOptions"},"label":{"type":"string","description":"Template name.","minLength":1},"description":{"type":"string","description":"Template description."},"pickingType":{"type":"string","description":"Picking type.","enum":["FAST_ORDER_PICKING","SINGLE_ORDER_PICKING","COLLECTIVE_ORDER_PICKING","ROLLING_ORDER_PICKING","CONSOLIDATION","REPLENISHMENT","FABRICATION","MISSING_GOODS_PICKING","INCORRECTLY_PICKED_GOODS"]},"defaultTemplate":{"type":"boolean","default":false,"description":"Is this a default template?"},"active":{"type":"boolean","default":true,"description":"Is Template active?","readOnly":true},"picklistScripts":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.PicklistScript"},"description":"Scripts for creating and processing picklists."}},"required":["label","pickingType"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-wms-PicklistTemplate.PicklistCreationOptions":{"description":"Options for creating picklists.","properties":{"sortByRoutePosition":{"type":"boolean","default":true,"description":"Sort the picklist lines by route position."},"maxPicklistLineCount":{"type":"integer","format":"int64","description":"Maximum number of picklist lines."},"maxQuantityOfOrderLineForFastOrderPicking":{"type":"integer","format":"int64","default":1,"description":"Maximum order line quantity for quick-picking picklists."},"orderPickingTrolleyRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"orderPickingTrolleyGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"useAllAvailOrderPickingTrolleys":{"type":"boolean","default":false,"description":"Should all available pick trolleys be used?"},"cycleToCreatePicklistsCronExpression":{"type":"string","description":"Cycle for creating picklists (for background jobs, as a Quartz cron expression) (https://www.freeformatter.com/cron-expression-generator-quartz.html)."},"specifyStorageBins":{"type":"boolean","default":true,"description":"Predefine the storage bins."},"specifySerialWithOldestExpiryDate":{"type":"boolean","default":false,"description":"For serial articles with an expiry or best-before date: predefine the oldest series in the picklist."},"firstCreateFastOrderPickingPicklists":{"type":"boolean","default":false,"description":"Should picklists for the quick picking be created first?"},"fastOrderPickingTemplateToUseRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"printPicklist":{"type":"boolean","default":false,"description":"Should the picklist be printed?"},"picklistOutputReportGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"printLabelsOnCreation":{"type":"boolean","default":false,"description":"Should the labels be printed automatically after the creation?"}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-wms-PicklistTemplate.OrderSelectionOptions":{"description":"Options for selecting orders.","properties":{"maxOrderCount":{"type":"integer","format":"int64","description":"Only for single picking and consolidation: maximum number of orders to transfer."},"alternativeSelectionInVql":{"type":"string","description":"Alternative selection in VQL."},"additionalExistsStatementsInVql":{"type":"array","description":"Additional exists statements in VQL.","items":{"type":"string","description":"Additional exists statements in VQL."}},"deliveryMethodRefs":{"type":"array","description":"Valid delivery methods.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"allowOnlyDefinedDeliveryMethods":{"type":"boolean","description":"May only valid delivery methods be used?"},"documentTypeRefs":{"type":"array","description":"Document types of the document category \"customer order\".","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"documentDateRange":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.DateRange"},"deliveryDateRange":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.DateRange"},"confirmedDeliveryDateRange":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.DateRange"},"onlyFullDeliverableOrders":{"type":"boolean","default":false,"description":"Only fully deliverable orders."},"onlyFullDeliverableOrderLines":{"type":"boolean","default":false,"description":"Only fully deliverable lines."},"storageAreaRefs":{"type":"array","description":"Valid storage areas.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"salesChannelId":{"type":"integer","format":"int64","description":"Identifier of the salesChannel considered in the selection."},"minArticleCountPerOrder":{"type":"integer","format":"int32","description":"Minimum number of articles per order."},"maxArticleCountPerOrder":{"type":"integer","format":"int32","description":"Maximum number of articles per order."},"maxShippingWeightPerOrder":{"type":"number","description":"Maximum shipping weight per order."},"maxTotalVolumePerOrderInCCM":{"type":"number","description":"Maximum total volume per order (in cubic centimeters)."},"maxOrderValue":{"type":"number","description":"Maximum order value."}}},"erp-wms-PicklistTemplate.DateRange":{"description":"Selection by a date range.","properties":{"from":{"type":"string","description":"Date from (optionally as a relative date)."},"to":{"type":"string","description":"Date to (optionally as a relative date)."},"allowEmpty":{"type":"boolean","default":true,"description":"The date range may be empty."}}},"erp-wms-PicklistTemplate.PicklistProcessingOptions":{"description":"Options for processing picklists.","properties":{"autoPrintDeliveryDocument":{"type":"boolean","default":false,"description":"Should the delivery documents be printed automatically after the picking is completed?"},"autoPrintShippingLabel":{"type":"boolean","default":false,"description":"Should the parcel labels be printed automatically after the picking is completed?"},"alwaysRequireScanOfStorageBin":{"type":"boolean","default":false,"description":"Storage bins must be recorded despite a predefined value."},"articleScanRequirement":{"type":"string","default":"FREE","description":"Recording condition for articles.","enum":["FREE","SCAN_ONCE","SCAN_ALWAYS"]},"autoDeterminationOfLots":{"type":"boolean","default":false,"description":"Confirm lots automatically when they are predefined or were already recorded during picking."},"hideTargetQuantityInViews":{"type":"boolean","default":false,"description":"Hide the target quantities in the dialogs?"},"allowPickingOfServiceArticles":{"type":"boolean","default":false,"description":"Should services be picked?"},"allowPickingOfNonInventoryManagedArticles":{"type":"boolean","default":false,"description":"Should articles without stock management be picked?"},"allowFullConfirmation":{"type":"boolean","default":false,"description":"Allow collective confirmation."},"deviatingQuantity":{"type":"string","description":"Picking of deviating quantities.","enum":["ALLOW_ONLY_ORDERED_QUANTITY","ALLOW_MINOR_QUANTITY","ALLOW_OVER_DELIVERY","ALLOW_DEVIATING_QUANTITY"]},"assemblyGroupAtOnce":{"type":"boolean","default":false,"description":"Pick assemblies as a whole."},"alwaysShowDeliveryMethod":{"type":"boolean","default":true,"description":"Always show the delivery term in the dialogs."},"showShippingFormOnPickingFinish":{"type":"boolean","default":false,"description":"Show the shipping dialog on completion."},"autoPickingFinishAfterLastArticleInOrder":{"type":"boolean","default":false,"description":"Automatic completion after the last article of the current order."},"useDigitalPicklist":{"type":"boolean","default":false,"description":"Use the digital picklist: only the lines are shown in the frontend and confirmed by tapping or swiping."},"usePickNPack":{"type":"boolean","default":false,"description":"Use pick and pack."},"scanDeliveryDocumentAndShippingLabelOnFinish":{"type":"boolean","default":false,"description":"Only for consolidation: scan the delivery document and the shipping label to complete."},"scanPickTrolleyBoxToConfirmPickedArticle":{"type":"boolean","default":false,"description":"Rolling picking and consolidation: during picking the box has to be confirmed by scanning after an article is scanned."},"blockIfMaximumPackageWeightIsExceeded":{"type":"boolean","default":true,"description":"Block exceeding the maximum parcel weight?"},"useSalesUnit":{"type":"boolean","default":false,"description":"Use the sales unit as the default quantity."},"printLabelOnScan":{"type":"boolean","default":false,"description":"Should the labels be printed automatically during the recording?"},"printLabelOnCompleteOrder":{"type":"boolean","default":false,"description":"Should the labels be printed automatically when the order is completed?"},"printLabelAfterPicking":{"type":"boolean","default":false,"description":"Should the labels be printed automatically when the picking is completed?"},"allowSkipPosition":{"type":"boolean","default":false,"description":"Is skipping lines allowed?"}}},"erp-wms-PicklistTemplate.PicklistScript":{"description":"Picklist script.","properties":{"source":{"type":"string","description":"Script source code."},"active":{"type":"boolean","default":false,"description":"Is the script active?"}}}}}}
```

## POST /wms/picklists/create/{picklistTemplateId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Picklisten","description":"Picklists."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/picklists/create/{picklistTemplateId}":{"post":{"tags":["Picklisten"],"operationId":"createPicklistsIndirect_2","parameters":[{"name":"picklistTemplateId","in":"path","description":"Identifier of the picklist template to use.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## POST /wms/picklists/create-for-pick-trolley/{picklistTemplateId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Picklisten","description":"Picklists."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/picklists/create-for-pick-trolley/{picklistTemplateId}":{"post":{"tags":["Picklisten"],"operationId":"createPicklistsForPickTrolley","parameters":[{"name":"picklistTemplateId","in":"path","description":"Identifier of the picklist template to use.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"forPickTrolleyId","in":"query","description":"Identifier of the pick trolley the picklist is created for.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-PicklistCreationResult"}}}}}}}},"components":{"schemas":{"erp-wms-PicklistCreationResult":{"description":"Picklist creation result.","properties":{"createdPicklists":{"type":"array","description":"Information about the created picklists.","items":{"$ref":"#/components/schemas/erp-wms-PicklistInfo"}},"creationLog":{"type":"array","description":"Creation protocol.","items":{"type":"string","description":"Creation protocol."}}}},"erp-wms-PicklistInfo":{"description":"Picklist without details.","properties":{"id":{"type":"integer","format":"int64","description":"Picklist identifier."},"number":{"type":"string","description":"Picklist number."},"state":{"type":"string","description":"Picklist status.","enum":["IN_CREATION","CREATED","PAUSED_IN_PICKING","IN_PICKING","PICKED","PAUSED_IN_PACKING","IN_PACKING","CANCELLED","FINISHED"]},"processedByUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"lineCount":{"type":"integer","format":"int64","description":"Number of lines on the picklist."},"orderCount":{"type":"integer","format":"int64","description":"Number of orders on the picklist."},"pickTrolleyLabel":{"type":"string","description":"Pick trolley label, if this is rolling picking."},"pickingType":{"type":"string","description":"Picking type.","enum":["FAST_ORDER_PICKING","SINGLE_ORDER_PICKING","COLLECTIVE_ORDER_PICKING","ROLLING_ORDER_PICKING","CONSOLIDATION","REPLENISHMENT","FABRICATION","MISSING_GOODS_PICKING","INCORRECTLY_PICKED_GOODS"]},"processingType":{"type":"string","description":"Picklist processing type.","enum":["PICKING","PACKING"]},"useDigitalPicklist":{"type":"boolean","default":false,"description":"Use the digital picklist: when processingType = PICKING, lines are confirmed only by tapping or swiping."},"usePickNPack":{"type":"boolean","default":false,"description":"Use pick and pack: when processingType = PICKING."},"hideTargetQuantityInViews":{"type":"boolean","default":false,"description":"Hide the target quantities in the dialogs: only meaningful with useDigitalPicklist = false or processingType = PACKING."},"allowFullConfirmation":{"type":"boolean","default":false,"description":"Allow collective confirmation: when processingType = PACKING, show the button for the collective confirmation."},"assemblyGroupAtOnce":{"type":"boolean","default":false,"description":"Record assemblies as a whole."}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```

## GET /wms/picklists/{id}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Picklisten","description":"Picklists."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/picklists/{id}":{"get":{"tags":["Picklisten"],"operationId":"getById_150","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-Picklist"}}}}}}}},"components":{"schemas":{"erp-wms-Picklist":{"description":"Picklist.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"Picklist number."},"state":{"type":"string","description":"Picklist status.","enum":["IN_CREATION","CREATED","PAUSED_IN_PICKING","IN_PICKING","PICKED","PAUSED_IN_PACKING","IN_PACKING","CANCELLED","FINISHED"]},"pickingUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"pickingStartedAt":{"type":"string","format":"date-time","description":"Time the picking process was started."},"pickingFinishedAt":{"type":"string","format":"date-time","description":"Time the picking process was finished."},"lines":{"type":"array","description":"Picklist lines.","items":{"$ref":"#/components/schemas/erp-wms-PicklistLine"}},"usedTemplate":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate"},"targetStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["lines","number","state"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-wms-PicklistLine":{"description":"Picklist lines.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"state":{"type":"string","description":"Picklist line status.","enum":["IN_CREATION","CREATED","NEWLY_ADDED","PICKED","NEWLY_ADDED_AND_PICKED","WAITING_FOR_SHIPPING_DOCUMENTS","CANCELLED","FINISHED"]},"lineType":{"type":"string","description":"Kinds of picklist lines.","enum":["ARTICLE","ASSEMBLY_GROUP"]},"sourceDocumentId":{"type":"integer","format":"int64","description":"Source document identifier."},"sourceDocumentLineId":{"type":"integer","format":"int64","description":"Source document line identifier."},"articleRef":{"$ref":"#/components/schemas/erp-product-ProductArticleRef"},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"quantity":{"type":"number","description":"Line quantity."},"quantityCollected":{"type":"number","description":"Picked line quantity."},"quantityPacked":{"type":"number","description":"Packed line quantity."},"targetDocumentId":{"type":"integer","format":"int64","description":"Target document identifier."},"targetDocumentLineId":{"type":"integer","format":"int64","description":"Target document line identifier."},"pickTrolleyBoxRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"bookings":{"type":"array","description":"Bookings for this line.","items":{"$ref":"#/components/schemas/erp-wms-PicklistLineBooking"}},"components":{"type":"array","description":"Line components, if this line is an assembly.","items":{"$ref":"#/components/schemas/erp-wms-PicklistLineComponent"}}},"required":["articleRef","lineType","quantity","sourceDocumentId","sourceDocumentLineId","state","storageRef"]},"erp-product-ProductArticleRef":{"description":"All articles belonging to this product.","properties":{"id":{"type":"integer","format":"int64","description":"Article identifier."},"number":{"type":"string","description":"Article number"},"name":{"type":"string","description":"Label."},"description":{"type":"string","description":"Description."},"serialType":{"type":"string","description":"Article serial type.","enum":["NONE","SERIAL_NUMBER","LOT","BEST_BEFORE","DOUBLE_SERIAL_NUMBER"]},"unit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"}},"required":["unit"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"erp-wms-PicklistLineBooking":{"description":"Bookings for picklist lines.","properties":{"preset":{"type":"boolean","description":"Booking preset?"},"quantity":{"type":"number","description":"Quantity to book (picked)."},"quantityPacked":{"type":"number","description":"Quantity to book (packed)."},"storageBinId":{"type":"integer","format":"int64","description":"Identifier of the storage bin booked to."},"storageBinDisplayName":{"type":"string","description":"Storage bin display name.","readOnly":true},"serialNumber":{"$ref":"#/components/schemas/erp-product-ArticleSerialNumber"}},"required":["preset","quantity","quantityPacked","storageBinId"]},"erp-product-ArticleSerialNumber":{"description":"Serial number.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber1":{"type":"string","description":"Serial number 1.","maxLength":255,"minLength":0},"serialNumber2":{"type":"string","description":"Serial number 2.","maxLength":255,"minLength":0},"expiryDate":{"type":"string","format":"date","description":"Expiry date."},"ignoreExpiryDateOnStockBooking":{"type":"boolean","description":"Ignore expiry date on stock booking","readOnly":true},"note":{"type":"string","description":"Note."},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"udi":{"type":"string","description":"Unique Device Identifier (UDI)"}},"required":["articleRef","serialNumber1"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"erp-wms-PicklistLineComponent":{"description":"Picklist line components.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"picklistLineId":{"type":"integer","format":"int64","description":"Picklist line identifier."},"position":{"type":"integer","format":"int32","description":"Component position in the assembly."},"sourceDocumentLineComponentId":{"type":"integer","format":"int64","description":"Component identifier of the source document line."},"articleId":{"type":"integer","format":"int64","description":"Article identifier."},"articleNumber":{"type":"string","description":"Article number.","readOnly":true},"articleDescription":{"type":"string","description":"Article description.","readOnly":true},"articleName":{"type":"string","description":"Article name.","readOnly":true},"articleAlternativeName":{"type":"string","description":"Deviating article name.","readOnly":true},"quantity":{"type":"number","description":"Line quantity."},"quantityCollected":{"type":"number","description":"Picked line quantity."},"quantityPacked":{"type":"number","description":"Packed line quantity."},"quantityPerAssemblyGroup":{"type":"number","description":"Quantity per assembly (if the picklist line is an assembly)."},"targetDocumentLineComponentId":{"type":"integer","format":"int64","description":"Component identifier of the target document line."},"bookings":{"type":"array","description":"Bookings for this component.","items":{"$ref":"#/components/schemas/erp-wms-PicklistLineBooking"}}},"required":["articleId","picklistLineId","position","quantity","sourceDocumentLineComponentId"]},"erp-wms-PicklistTemplate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"picklistCreationOptions":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.PicklistCreationOptions"},"orderSelectionOptions":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.OrderSelectionOptions"},"picklistProcessingOptions":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.PicklistProcessingOptions"},"label":{"type":"string","description":"Template name.","minLength":1},"description":{"type":"string","description":"Template description."},"pickingType":{"type":"string","description":"Picking type.","enum":["FAST_ORDER_PICKING","SINGLE_ORDER_PICKING","COLLECTIVE_ORDER_PICKING","ROLLING_ORDER_PICKING","CONSOLIDATION","REPLENISHMENT","FABRICATION","MISSING_GOODS_PICKING","INCORRECTLY_PICKED_GOODS"]},"defaultTemplate":{"type":"boolean","default":false,"description":"Is this a default template?"},"active":{"type":"boolean","default":true,"description":"Is Template active?","readOnly":true},"picklistScripts":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.PicklistScript"},"description":"Scripts for creating and processing picklists."}},"required":["label","pickingType"]},"erp-wms-PicklistTemplate.PicklistCreationOptions":{"description":"Options for creating picklists.","properties":{"sortByRoutePosition":{"type":"boolean","default":true,"description":"Sort the picklist lines by route position."},"maxPicklistLineCount":{"type":"integer","format":"int64","description":"Maximum number of picklist lines."},"maxQuantityOfOrderLineForFastOrderPicking":{"type":"integer","format":"int64","default":1,"description":"Maximum order line quantity for quick-picking picklists."},"orderPickingTrolleyRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"orderPickingTrolleyGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"useAllAvailOrderPickingTrolleys":{"type":"boolean","default":false,"description":"Should all available pick trolleys be used?"},"cycleToCreatePicklistsCronExpression":{"type":"string","description":"Cycle for creating picklists (for background jobs, as a Quartz cron expression) (https://www.freeformatter.com/cron-expression-generator-quartz.html)."},"specifyStorageBins":{"type":"boolean","default":true,"description":"Predefine the storage bins."},"specifySerialWithOldestExpiryDate":{"type":"boolean","default":false,"description":"For serial articles with an expiry or best-before date: predefine the oldest series in the picklist."},"firstCreateFastOrderPickingPicklists":{"type":"boolean","default":false,"description":"Should picklists for the quick picking be created first?"},"fastOrderPickingTemplateToUseRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"printPicklist":{"type":"boolean","default":false,"description":"Should the picklist be printed?"},"picklistOutputReportGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"printLabelsOnCreation":{"type":"boolean","default":false,"description":"Should the labels be printed automatically after the creation?"}}},"erp-wms-PicklistTemplate.OrderSelectionOptions":{"description":"Options for selecting orders.","properties":{"maxOrderCount":{"type":"integer","format":"int64","description":"Only for single picking and consolidation: maximum number of orders to transfer."},"alternativeSelectionInVql":{"type":"string","description":"Alternative selection in VQL."},"additionalExistsStatementsInVql":{"type":"array","description":"Additional exists statements in VQL.","items":{"type":"string","description":"Additional exists statements in VQL."}},"deliveryMethodRefs":{"type":"array","description":"Valid delivery methods.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"allowOnlyDefinedDeliveryMethods":{"type":"boolean","description":"May only valid delivery methods be used?"},"documentTypeRefs":{"type":"array","description":"Document types of the document category \"customer order\".","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"documentDateRange":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.DateRange"},"deliveryDateRange":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.DateRange"},"confirmedDeliveryDateRange":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.DateRange"},"onlyFullDeliverableOrders":{"type":"boolean","default":false,"description":"Only fully deliverable orders."},"onlyFullDeliverableOrderLines":{"type":"boolean","default":false,"description":"Only fully deliverable lines."},"storageAreaRefs":{"type":"array","description":"Valid storage areas.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"salesChannelId":{"type":"integer","format":"int64","description":"Identifier of the salesChannel considered in the selection."},"minArticleCountPerOrder":{"type":"integer","format":"int32","description":"Minimum number of articles per order."},"maxArticleCountPerOrder":{"type":"integer","format":"int32","description":"Maximum number of articles per order."},"maxShippingWeightPerOrder":{"type":"number","description":"Maximum shipping weight per order."},"maxTotalVolumePerOrderInCCM":{"type":"number","description":"Maximum total volume per order (in cubic centimeters)."},"maxOrderValue":{"type":"number","description":"Maximum order value."}}},"erp-wms-PicklistTemplate.DateRange":{"description":"Selection by a date range.","properties":{"from":{"type":"string","description":"Date from (optionally as a relative date)."},"to":{"type":"string","description":"Date to (optionally as a relative date)."},"allowEmpty":{"type":"boolean","default":true,"description":"The date range may be empty."}}},"erp-wms-PicklistTemplate.PicklistProcessingOptions":{"description":"Options for processing picklists.","properties":{"autoPrintDeliveryDocument":{"type":"boolean","default":false,"description":"Should the delivery documents be printed automatically after the picking is completed?"},"autoPrintShippingLabel":{"type":"boolean","default":false,"description":"Should the parcel labels be printed automatically after the picking is completed?"},"alwaysRequireScanOfStorageBin":{"type":"boolean","default":false,"description":"Storage bins must be recorded despite a predefined value."},"articleScanRequirement":{"type":"string","default":"FREE","description":"Recording condition for articles.","enum":["FREE","SCAN_ONCE","SCAN_ALWAYS"]},"autoDeterminationOfLots":{"type":"boolean","default":false,"description":"Confirm lots automatically when they are predefined or were already recorded during picking."},"hideTargetQuantityInViews":{"type":"boolean","default":false,"description":"Hide the target quantities in the dialogs?"},"allowPickingOfServiceArticles":{"type":"boolean","default":false,"description":"Should services be picked?"},"allowPickingOfNonInventoryManagedArticles":{"type":"boolean","default":false,"description":"Should articles without stock management be picked?"},"allowFullConfirmation":{"type":"boolean","default":false,"description":"Allow collective confirmation."},"deviatingQuantity":{"type":"string","description":"Picking of deviating quantities.","enum":["ALLOW_ONLY_ORDERED_QUANTITY","ALLOW_MINOR_QUANTITY","ALLOW_OVER_DELIVERY","ALLOW_DEVIATING_QUANTITY"]},"assemblyGroupAtOnce":{"type":"boolean","default":false,"description":"Pick assemblies as a whole."},"alwaysShowDeliveryMethod":{"type":"boolean","default":true,"description":"Always show the delivery term in the dialogs."},"showShippingFormOnPickingFinish":{"type":"boolean","default":false,"description":"Show the shipping dialog on completion."},"autoPickingFinishAfterLastArticleInOrder":{"type":"boolean","default":false,"description":"Automatic completion after the last article of the current order."},"useDigitalPicklist":{"type":"boolean","default":false,"description":"Use the digital picklist: only the lines are shown in the frontend and confirmed by tapping or swiping."},"usePickNPack":{"type":"boolean","default":false,"description":"Use pick and pack."},"scanDeliveryDocumentAndShippingLabelOnFinish":{"type":"boolean","default":false,"description":"Only for consolidation: scan the delivery document and the shipping label to complete."},"scanPickTrolleyBoxToConfirmPickedArticle":{"type":"boolean","default":false,"description":"Rolling picking and consolidation: during picking the box has to be confirmed by scanning after an article is scanned."},"blockIfMaximumPackageWeightIsExceeded":{"type":"boolean","default":true,"description":"Block exceeding the maximum parcel weight?"},"useSalesUnit":{"type":"boolean","default":false,"description":"Use the sales unit as the default quantity."},"printLabelOnScan":{"type":"boolean","default":false,"description":"Should the labels be printed automatically during the recording?"},"printLabelOnCompleteOrder":{"type":"boolean","default":false,"description":"Should the labels be printed automatically when the order is completed?"},"printLabelAfterPicking":{"type":"boolean","default":false,"description":"Should the labels be printed automatically when the picking is completed?"},"allowSkipPosition":{"type":"boolean","default":false,"description":"Is skipping lines allowed?"}}},"erp-wms-PicklistTemplate.PicklistScript":{"description":"Picklist script.","properties":{"source":{"type":"string","description":"Script source code."},"active":{"type":"boolean","default":false,"description":"Is the script active?"}}}}}}
```

## GET /wms/picklists/script-context-description/{picklistScriptType}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Picklisten","description":"Picklists."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/picklists/script-context-description/{picklistScriptType}":{"get":{"tags":["Picklisten"],"operationId":"getScriptDescription","parameters":[{"name":"picklistScriptType","in":"path","description":"Script type.","required":true,"schema":{"type":"string","description":"Possible script types for creating and processing picklists.","enum":["CONNECT_PICK_BOXES_TO_PICKLIST_LINE"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-scripting-ScriptDescription"}}}}}}}},"components":{"schemas":{"core-scripting-ScriptDescription":{"description":"Script description.","properties":{"mainInstance":{"$ref":"#/components/schemas/core-scripting-ScriptingInstanceDescription"},"availableTypes":{"type":"array","description":"Available type descriptions.","items":{"$ref":"#/components/schemas/core-scripting-ScriptingTypeDescription"}},"availableInput":{"type":"array","description":"Available input data.","items":{"$ref":"#/components/schemas/core-scripting-ScriptInputDescription"}}}},"core-scripting-ScriptingInstanceDescription":{"description":"Description of an instance used in scripting.","properties":{"name":{"type":"string","description":"Type name."},"description":{"type":"string","description":"Type description."},"moduleName":{"type":"string","description":"Name of the module where this instance is defined."},"attributes":{"type":"array","description":"Type attributes.","items":{"$ref":"#/components/schemas/core-scripting-ScriptingTypeAttributeDescription"}},"methods":{"type":"array","description":"Type methods.","items":{"$ref":"#/components/schemas/core-scripting-ScriptingTypeMethodDescription"}},"usageExample":{"type":"string","description":"Usage example."},"type":{"type":"string","description":"Type of the scripting type.","enum":["INSTANCE","SERVICE","DTO","EAV","ENUM","ARRAY","MAP","CALLBACK","METHOD"]}}},"core-scripting-ScriptingTypeAttributeDescription":{"description":"Description of an attribute of an object used in scripting.","properties":{"name":{"type":"string","description":"Attribute name."},"description":{"type":"string","description":"Attribute description."},"readOnly":{"type":"boolean","default":false,"description":"Is the attribute read-only?"},"dataType":{"type":"string","description":"Attribute data type."},"dataTypeName":{"type":"string","description":"For data type \"object\": the object description."}}},"core-scripting-ScriptingTypeMethodDescription":{"description":"Description of a method of an object used in scripting.","properties":{"name":{"type":
[...]
